(noob) winXP first time compile, ubuntu 10.04 dependency issues

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

(noob) winXP first time compile, ubuntu 10.04 dependency issues

baslin
[I apologize if this should go in the user forum rather than here]

Ries et al,

Thanks so much for all of your hard work. It's a great thing that you're doing here.

I'm a long-time user of a "big box" CAD application, not a programmer or developer.

This morning I compiled the latest build (my first compile of anything, ever) on winXP using qt-creator

Thanks for making it so easy for a user to become involved with testing

Yesterday I attempted to install the .deb packages on ubuntu 10.04 for librecad, librecad-data and librecad-docs, 1.0.0~beta5-0ubuntu1 from packages.ubuntu.com but had several dependency issues with libqt4-qt3support and several others that I could never resolve

The download page provides a link to the repository for the daily build, but states that it's for 10.10 and later; will it not work for 10.04?

Would an upgrade to 11.04 resolve the issue?



Reply | Threaded
Open this post in threaded view
|

Re: (noob) winXP first time compile, ubuntu 10.04 dependency issues

maqifrnswa
On Fri, Jul 15, 2011 at 10:24 AM, baslin [via LibreCAD]
<[hidden email]> wrote:
> Yesterday I attempted to install the .deb packages on ubuntu 10.04 for
> librecad, librecad-data and librecad-docs, 1.0.0~beta5-0ubuntu1 from
> packages.ubuntu.com but had several dependency issues with libqt4-qt3support
> and several others that I could never resolve
>
> The download page provides a link to the repository for the daily build, but
> states that it's for 10.10 and later; will it not work for 10.04?
>
> Would an upgrade to 11.04 resolve the issue?

Hi Baslin,

If you want to install librecad on 10.04, it probably would be best to
compile from source. It actually isn't that hard, and complete
instructions are here:
http://librecad.org/cms/home/from-source/linux.html

If you upgrade to at least 10.10, all you would need to do is add the
PPA repository then do "sudo apt-get update" followed by "sudo apt-get
install librecad." Actually, once you add the PPA repository, librecad
will show up in Ubuntu Software Center and you can install it from
there too if you'd like

Cheers,
Scott
Reply | Threaded
Open this post in threaded view
|

Re: (noob) winXP first time compile, ubuntu 10.04 dependency issues

baslin
On Fri, Jul 15, 2011 at 10:01 AM, showard314 [via LibreCAD]
<[hidden email]> wrote:

> If you want to install librecad on 10.04, it probably would be best to
> compile from source. It actually isn't that hard, and complete
> instructions are here:
> http://librecad.org/cms/home/from-source/linux.html
>
> If you upgrade to at least 10.10, all you would need to do is add the
> PPA repository then do "sudo apt-get update" followed by "sudo apt-get
> install librecad." Actually, once you add the PPA repository, librecad
> will show up in Ubuntu Software Center and you can install it from
> there too if you'd like


thanks, Scott

it appears that I can't compile until after I upgrade to a later
version of ubuntu, since the repositories for 10.04 don't hold the
later versions of files that satisfy the librecad dependencies

I tried apt-get install for the libqt4* files that yielded an error
and also apt-get update, but the versions of them that are available
for 10.04 do not appear to meet the latest librecad build requirements

regards,
Basil
Reply | Threaded
Open this post in threaded view
|

Re: (noob) winXP first time compile, ubuntu 10.04 dependency issues

baslin
After I updated to 10.10, there was no issue and all was well with the world.
Reply | Threaded
Open this post in threaded view
|

Re: (noob) winXP first time compile, ubuntu 10.04 dependency issues

maqifrnswa
On Mon, Jul 18, 2011 at 5:48 PM, baslin [via LibreCAD]
<[hidden email]> wrote:
> After I updated to 10.10, there was no issue and all was well with the
> world.

great to hear, thanks for reporting back
Reply | Threaded
Open this post in threaded view
|

Re: (noob) winXP first time compile, ubuntu 10.04 dependency issues

davinder
In reply to this post by baslin
On 19 July 2011 03:18, baslin [via LibreCAD]
<[hidden email]> wrote:
> After I updated to 10.10, there was no issue and all was well with the
> world.
With adding PPA, we can also install it in ubuntu 11.04.


--
http://davinder.in
Dont hurt the web, use open standards